Yes you can, 1.03 will include all prior version fixes.